import { BaseRpcContext } from '@nestjs/microservices/ctx-host/base-rpc.context';
import { JsMsg, Msg } from 'nats';
export type NatsJetStreamContextArgs = [JsMsg];
export type NatsContextArgs = [Msg];
export declare class NatsJetStreamContext extends BaseRpcContext<NatsJetStreamContextArgs> {
    constructor(args: NatsJetStreamContextArgs);
    get message(): JsMsg;
}
export declare class NatsContext extends BaseRpcContext<NatsContextArgs> {
    constructor(args: NatsContextArgs);
    get message(): Msg;
}
