import { CustomTransportStrategy, Server } from '@nestjs/microservices';
import { NatsJetStreamServerOptions } from './interfaces/nats-jetstream-server-options.interface';
export declare class NatsJetStreamServer extends Server implements CustomTransportStrategy {
    private options;
    readonly transportId: symbol;
    private nc;
    private codec;
    private jsm;
    constructor(options: NatsJetStreamServerOptions);
    listen(callback: () => void): Promise<void>;
    close(): Promise<void>;
    private bindEventHandlers;
    private bindMessageHandlers;
    private setupStream;
}
